Bug 1424960 - [abrt] cinnamon-screensaver: framedImage.py:111:on_file_written:UnboundLocalError: local variable 'pixbuf' referenced before assignment
Summary: [abrt] cinnamon-screensaver: framedImage.py:111:on_file_written:UnboundLocalE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:86340086d348e6a8ca44fa4861d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-20 08:08 UTC by Dawid Woźniak
Modified: 2017-04-11 09:08 UTC (History)
4 users (show)

Fixed In Version: cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 08:49:24 UTC


Attachments (Terms of Use)
File: backtrace (658 bytes, text/plain)
2017-02-20 08:08 UTC, Dawid Woźniak
no flags Details
File: environ (1.43 KB, text/plain)
2017-02-20 08:08 UTC, Dawid Woźniak
no flags Details

Description Dawid Woźniak 2017-02-20 08:08:52 UTC
Version-Release number of selected component:
cinnamon-screensaver-3.2.13-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.9.9-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
framedImage.py:111:on_file_written:UnboundLocalError: local variable 'pixbuf' referenced before assignment

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/widgets/framedImage.py", line 111, in on_file_written
    self.emit("pixbuf-changed", pixbuf)
UnboundLocalError: local variable 'pixbuf' referenced before assignment

Local variables in innermost frame:
data: None
result: <Gio.Task object at 0x7f8c83867480 (GTask at 0x7f8c6c003860)>
self: <framedImage.FramedImage object at 0x7f8c8378d1f8 (widgets+framedImage+FramedImage at 0x55d166e98140)>
file: <__gi__.GLocalFile object at 0x7f8c83867dc8 (GLocalFile at 0x55d166f4dc20)>

Comment 1 Dawid Woźniak 2017-02-20 08:08:57 UTC
Created attachment 1255603 [details]
File: backtrace

Comment 2 Dawid Woźniak 2017-02-20 08:08:58 UTC
Created attachment 1255604 [details]
File: environ

Comment 3 Fedora Update System 2017-02-20 11:23:18 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 4 Fedora Update System 2017-02-20 11:24:37 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 5 Fedora Update System 2017-02-20 20:23:39 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 6 Fedora Update System 2017-02-20 21:22:38 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 7 Fedora Update System 2017-02-28 08:49:24 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-03-01 01:20:26 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 jezekus 2017-04-11 09:08:26 UTC
Similar problem has been detected:

Screensaver did not started and once touched the keyboard screensaver started and crashed.

reporter:       libreport-2.8.0
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
event_log:      2017-04-11-11:07:17> ('report_uReport' completed successfully)
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.10.8-200.fc25.x86_64
package:        cinnamon-screensaver-3.2.14-0.4.20170308git39da3f0.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         framedImage.py:111:on_file_written:UnboundLocalError: local variable 'pixbuf' referenced before assignment
runlevel:       N 5
type:           Python3
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.